# -*- coding: UTF-8 -*-
# Copyright 2013-2015 Luc Saffre
# This file is part of Lino Welfare.
#
# Lino Welfare is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# Lino Welfare is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with Lino Welfare.  If not, see
# <http://www.gnu.org/licenses/>.

"""Choicelists for `lino_welfare.modlib.isip`.

"""

from lino.api import dd, _


class ContractEvents(dd.ChoiceList):
    verbose_name = _("Observed event")
    verbose_name_plural = _("Observed events")
add = ContractEvents.add_item
add('10', _("Started"), 'started')
add('20', _("Active"), 'active')
add('30', _("Ended"), 'ended')
add('40', _("Signed"), 'signed')


class OverlapGroups(dd.ChoiceList):
    """The list of all known overlap groups to be selected for the
    :attr:`overlap_group
    <lino_welfare.modlib.isip.mixins.ContractTypeBase.overlap_group>`
    of a contract type.

    """

    verbose_name = _("Overlap group")
    verbose_name_plural = _("Overlap groups")
add = OverlapGroups.add_item
add('10', _("Conventions"), 'contracts')
add('20', _("Trainings"), 'trainings')

